Debian Bug report logs - #369928
dpkg 1.13.20 should depend on perl-modules

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Wen-chien Jesse Sung <jesse@cola.voip.idv.tw>

Date: Fri, 2 Jun 2006 08:48:02 UTC

Severity: serious

Merged with 369958, 370157, 370210

Found in version dpkg/1.13.20

Fixed in version dpkg/1.13.21

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#369928; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Wen-chien Jesse Sung <jesse@cola.voip.idv.tw>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wen-chien Jesse Sung <jesse@cola.voip.idv.tw>
To: submit@bugs.debian.org
Subject: dpkg 1.13.20 should depend on perl-modules
Date: Fri, 02 Jun 2006 16:23:59 +0800
Package: dpkg
Version: 1.13.20

Hi,

After dpkg upgraded to 1.13.20, some problem with /usr/sbin/install-info:

Preparing to replace coreutils 5.94-1 (using
.../coreutils_5.96-3_i386.deb) ...
Can't locate English.pm in @INC (@INC contains: /etc/perl
/usr/local/lib/perl/5.8.8 /usr/local/share/perl/5.8.8 /usr/lib/perl5
/usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8
/usr/local/lib/site_perl .) at /usr/sbin/install-info line 4.
BEGIN failed--compilation aborted at /usr/sbin/install-info line 4.
dpkg: warning - old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: ... it looks like that went OK.
Unpacking replacement coreutils ...
Setting up coreutils (5.96-3) ...
Can't locate English.pm in @INC (@INC contains: /etc/perl
/usr/local/lib/perl/5.8.8 /usr/local/share/perl/5.8.8 /usr/lib/perl5
/usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8
/usr/local/lib/site_perl .) at /usr/sbin/install-info line 4.
BEGIN failed--compilation aborted at /usr/sbin/install-info line 4.
dpkg: error processing coreutils (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 coreutils
E: Sub-process /usr/bin/dpkg returned an error code (1)


Since English.pm is provided by perl-modules, maybe we should:
1. make dpkg depend on perl-modules, or
2. provide English.pm in perl-base.

-- 
Best Regards,
Wen-chien Jesse Sung



Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 369928 369958. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 369928 369958 370157. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 369928 369958 370157 370210. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `serious' Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 369928 369958 370157 370210. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Wen-chien Jesse Sung <jesse@cola.voip.idv.tw>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 369928-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 369928-close@bugs.debian.org
Subject: Bug#369928: fixed in dpkg 1.13.21
Date: Sun, 04 Jun 2006 14:34:56 -0700
Source: dpkg
Source-Version: 1.13.21

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.13.21_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.13.21_all.deb
dpkg_1.13.21.dsc
  to pool/main/d/dpkg/dpkg_1.13.21.dsc
dpkg_1.13.21.tar.gz
  to pool/main/d/dpkg/dpkg_1.13.21.tar.gz
dpkg_1.13.21_i386.deb
  to pool/main/d/dpkg/dpkg_1.13.21_i386.deb
dselect_1.13.21_i386.deb
  to pool/main/d/dpkg/dselect_1.13.21_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369928@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  4 Jun 2006 19:02:44 +0300
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source i386 all
Version: 1.13.21
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 45575 367892 368961 369928 369958 370017 370157 370174 370210
Changes: 
 dpkg (1.13.21) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Disambiguate error message about conflicting command line actions by
     providing both long and short option names. Based on a suggestion by
     Josip Rodin. Closes: #45575
   * Add '/lib32' and '/usr/lib32' to the dpkg-shlibdeps library path search
     list. Closes: #367892
   * Revert usage of English perl non-essential module from install-info.
     Closes: #369928, #369958, #370157, #370174, #370210
   * Print the correct file being parsed by dpkg-parsechangelog's debian
     parser. Closes: #368961
   * Fix dependency cycle breaking in the case when every link involves
     a Provides (Ian Jackson). This is a proper fix for #349442.
     Closes: #370017
 .
   [ Updated dpkg Translations ]
   * Czech (Miroslav Kure).
   * Vietnamese (Clytie Siddall).
Files: 
 9094d517d48ae0f7dc7218cc7096c18a 843 admin required dpkg_1.13.21.dsc
 fbc742e53b26a592cdde7af408ececb5 3036811 admin required dpkg_1.13.21.tar.gz
 db6be2000575910b5ee81c1a141df259 1542830 admin required dpkg_1.13.21_i386.deb
 85cd7ae3b982bbeb40c5c66eec5ffffa 503972 admin required dselect_1.13.21_i386.deb
 7a8c80e58e1894e9e508d6e2450aa307 109238 utils standard dpkg-dev_1.13.21_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEgwX2uW9ciZ2SjJsRAinCAKDKexLrHIFhMWhw/hXvonoNOlHtZQCeL7aU
o/6CgWkiz8ete6ZWtjUriSE=
=wmb9
-----END PGP SIGNATURE-----




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Kraai <kraai@ftbfs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 14:05:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:32:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.